> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/reference/legacy/api-abi/introduction.md).

# Introduction

{% hint style="warning" %}
You are referring to the **`Legacy`** version of KyberSwap docs.

For the most updated information, please refer to:

* [**`Classic`**](https://github.com/KyberNetwork/kyberswap-documentation/blob/main/reference/legacy/api-abi/broken-reference/README.md)
* [**`Elastic`**](/reference/legacy/kyberswap-elastic.md)
* [**`Limit Order`**](broken://pages/DCqb2Gq8yk2f2UIjmGEs)
* [**`Aggregator`**](broken://pages/P4AAjSd0nrbC42bSddka)
  {% endhint %}

### Overview[​](https://docs.kyberswap.com/Legacy/api-abi/api_abi-intro#overview) <a href="#overview" id="overview"></a>

The API/ABI section provides in-depth information and documentation about Kyber Network's smart contracts & ABIs, RESTful APIs, Widgets and Plugins.

The [smart contracts](https://docs.kyberswap.com/Legacy/api-abi/api_abi-kybernetworkproxy.md) define the Kyber protocol and allow users to do decentralised token swaps while the [RESTful APIs](https://docs.kyberswap.com/Legacy/api-abi/api_abi-restfulapioverview.md) give users (without much smart contract knowledge) the ability to interact with our smart contracts. [Widgets](https://docs.kyberswap.com/Legacy/api-abi/api_abi-widgetsoverview.md) and [Plugins](https://docs.kyberswap.com/Legacy/api-abi/api_abi-pluginsoverview.md) are straightforward approaches that can be implemented on your application to provide token swap functionality to your platforms.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kyberswap.com/reference/legacy/api-abi/introduction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
